%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Capture.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(ExtUtils/Packlist.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Remove.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/chmod.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Object/Tiny.pm) perl(Params/Util.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Term/Prompt.pm) perl(Test/File/Cleaner.pm) perl(Test/More.pm) perl(Test/Script.pm) perl(URI.pm) perl(URI/ToDisk.pm) perl(URI/file.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Module-CGI-Install
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Installer for CGI applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Module::CGI::Install is a package for installing CGI applications.

It is based on the principle that a particular application may need to
be installed multiple times on a single host.

So an application can be installed normally onto the system, and from
there the functionality provided by Module::CGI::Install creates a way to

quickly, easily and safely move a copy of that application (or at least
the parts that matter) from the default system install location to
the specific CGI directory.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

